#!/bin/sh
#
# An example hook script to store metadata information using
# metastore on each commit.

MSFILE=".metadata"

exit_on_fail() {
	"$@"
	if [ $? -ne 0 ]; then
		echo "Failed to execute: $@" >&2
		exit 1
	fi
}

exit_on_fail \
	metastore -s -f "$MSFILE"

if [ ! -e "$MSFILE" ]; then
	echo "\"$MSFILE\" missing" >&2
	exit 1
fi

exit_on_fail \
	git-add "$MSFILE"

exit 0